``` js
interface IState {
  // 组件名称
  readonly name: string;

  // 样式(外观)
  readonly style: React.CSSProperties & Partial<IBaseStyle>;

  // 属性
  readonly property?: {
    readonly color?: string[] | string;　// 颜色
    readonly title?: { // 标题
      show: boolean;　// 显示
      align: 'left' | 'center' | 'right';　// 对齐
      text: string; // 标题文字
      textStyle: {　// 文字样式
        color: string; // 颜色
        fontSize: number; // 字体大小
      };
    };
    readonly text: { // 文本
      value: string;　// 文本文字
      fontSize: number;　// 字体大小
      fontStyle: 'normal' | 'italic'; // 字体样式
      fontWeight: 'normal' | 'lighter' | 'bold'; // 字体重量
      align: 'left' | 'center' | 'right';　// 对齐
      lineHeight: number;　// 行高
      color: string; // 文字颜色
    };
    readonly imgSrc?: string; // 图片(路径)
  };

  // 数据
  readonly data?: {
    dataType: 'json' | 'excel' | 'api' | 'database';　// 当前数据的格式
    json?: object;　// json格式的数据
    excel?: { // excel表格格式的数据
      columns: Array<{ key: string; name: string }>;　// 表头
      rows: object[];　// 行
    };
    api?: { // api的配置
      data: any,　// api返回的数据
      form: {
        url: string;　// api路径
        static?: boolean;　// 是否保存静态数据不再发起请求
        fields?: string[];　// 字段
        xAxis?: string; // x轴
        yAxis?: Array<{ id: number | string; name: string; value: string[] }>;　// y轴序列
      }
    };　// api格式的数据
    database?: any;　// 数据库格式的数据
  };
}
```