import * as React from 'react';
export declare function rawBoxReducer(action: IAction, state?: IDeepReadonly<IState>): {
    name: string;
    style: IDeepReadonlyObject<Partial<React.CSSProperties & IBaseStyle>>;
    property?: IDeepReadonlyObject<{
        color?: string | string[] | undefined;
        title?: {
            show: boolean;
            text: string;
            style: {
                textAlign: "left" | "right" | "center";
                fontSize: string;
                color: string;
            };
        } | undefined;
        text?: {
            fontSize: string;
            fontStyle: "normal" | "italic";
            fontWeight: "normal" | "lighter" | "bold";
            textAlign: "left" | "right" | "center";
            lineHeight: string;
            color: string;
            fontFamily: "none" | "...";
        } | undefined;
        xAxis?: IAxis<"X"> | undefined;
        yAxis?: IAxis<"Y"> | undefined;
        list?: IList | undefined;
        img?: string | undefined;
        video?: string | undefined;
        custom?: {
            [p: string]: any;
        } | undefined;
    }> | undefined;
    data?: IDeepReadonlyObject<{
        type: "json" | "excel" | "api" | "database";
        json?: any;
        excel?: {
            columns: {
                key: string;
                name: string;
            }[];
            rows: object[];
        } | undefined;
        api?: {
            data: any;
            form: {
                url: string;
                static: boolean;
                fields?: string[] | undefined;
                xAxis?: string | undefined;
                yAxis?: {
                    id: string | number;
                    name: string;
                    value: string[];
                }[] | undefined;
            };
        } | undefined;
        database?: any;
    }> | undefined;
};
export declare const boxReducer: IReducer<IReducerState>;
export declare function Box({ style, children, connect }: IWrappedFeatureComponentProps): JSX.Element;
