var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
import { Canvas as RawCanvas } from 'coreditor';
import * as React from 'react';
import { enpowerCanvasData } from '../index';
import { appendFont } from '../lib/appendFont';
import { traverser } from '../lib/tool';
export class Canvas extends React.Component {
    constructor(props) {
        super(props);
        this.setCanvas = this.setCanvas.bind(this);
        this.getData = this.getData.bind(this);
        if (props.setCanvas) {
            props.setCanvas(this.setCanvas);
        }
        if (props.getData) {
            props.getData(this.getData);
        }
    }
    render() {
        const _a = this.props, { setCanvas, getData } = _a, p = __rest(_a, ["setCanvas", "getData"]);
        return React.createElement(RawCanvas, Object.assign({}, p, { getData: (callback) => this._getData = callback, setCanvas: (callback) => this._setCanvas = callback }));
    }
    setCanvas(data) {
        traverser(data.root, {
            com: {
                enter(node) {
                    if (node.state.property && node.state.property.text) {
                        const { fontFamily } = node.state.property.text;
                        appendFont(fontFamily);
                    }
                }
            }
        });
        enpowerCanvasData(data);
        this._setCanvas(data);
    }
    getData(noBoxOutline = false) {
        const data = this._getData();
        if (noBoxOutline) {
            traverser(data.root, {
                box: {
                    enter(node) {
                        node.state.style = Object.assign({}, node.state.style, { outline: '' });
                    }
                }
            });
        }
        return data;
    }
}
//# sourceMappingURL=canvas.js.map