import * as React from 'react';
import { advanceReducer } from '../util/advanceReducer';
import { pullFeature } from '../util/pullFeature';
export const loadingState = {
    name: '正在加载...',
    style: {
        margin: '0px',
        padding: '0px',
        width: '300px',
        height: '300px',
        maxHeight: '9999999px',
        minHeight: '0',
        maxWidth: '9999999px',
        minWidth: '0',
        float: 'none',
        display: 'block',
        position: 'relative',
        overflow: 'hidden',
        top: '0',
        left: '0',
        right: '0',
        bottom: '0'
    }
};
export function loadingReducer(action, state = loadingState) {
    switch (action.type) {
        default:
            return state;
    }
}
export function LoadingCom(props) {
    React.useEffect(() => {
        pullFeature(props.comPath, 10000, (err, param) => {
            try {
                if (err) {
                    props.remove();
                }
                else {
                    let comReducer = advanceReducer(param.reducer);
                    if (props.state) {
                        const newState = props.state;
                        const rawReducer = comReducer;
                        comReducer = function (action, state = newState) {
                            return rawReducer(action, state);
                        };
                    }
                    props.replace(param.option, comReducer, {}, param.component, false);
                }
            }
            catch (e) {
                console.error(e);
                props.remove();
            }
        });
    }, []);
    let placeholder = props.placeholder;
    if (typeof placeholder === 'undefined') {
        placeholder = '正在加载...';
    }
    return props.connect(React.createElement("div", { style: props.style }, placeholder));
}
export const loadingOption = {
    resizer: false,
    toolbar: false,
    history: false
};
//# sourceMappingURL=loadingCom.js.map