import * as React from 'react';
declare enum Type {
    api = "data-api",
    data = "data-api-data",
    form = "data-api-form",
    url = "data-api-form-url"
}
declare function mapStateToProps(state: IDeepReadonly<IState>): {
    api: IDeepReadonlyObject<{
        data: any;
        form: {
            url: string;
            static: boolean;
            fields?: string[] | undefined;
            xAxis?: string | undefined;
            yAxis?: {
                id: string | number;
                name: string;
                value: string[];
            }[] | undefined;
        };
    }>;
    type: typeof Type;
} | {
    api: null;
    type?: undefined;
};
declare const mapDispatchToProps: {
    update: (type: Type, data: any) => {
        type: Type;
        data: any;
    };
};
export declare type IApiProps = Partial<typeof mapDispatchToProps & ReturnType<typeof mapStateToProps>>;
export declare function apiConnector<T>(ComponentCls: React.ComponentClass<IApiProps & T>): React.ComponentClass<T, any>;
export {};
