import * as React from 'react';
declare enum Type {
    data = "data",
    type = "data-type",
    json = "data-json",
    excel = "data-excel",
    database = "data-database",
    api = "data-api"
}
declare function mapStateToProps(state: IDeepReadonly<IState>): {
    data: IDeepReadonlyObject<{
        type: "json" | "excel" | "api" | "database";
        json?: any;
        excel?: {
            columns: {
                key: string;
                name: string;
            }[];
            rows: object[];
        } | undefined;
        api?: {
            data: any;
            form: {
                url: string;
                static: boolean;
                fields?: string[] | undefined;
                xAxis?: string | undefined;
                yAxis?: {
                    id: string | number;
                    name: string;
                    value: string[];
                }[] | undefined;
            };
        } | undefined;
        database?: any;
    }>;
    type: typeof Type;
} | {
    data: null;
    type?: undefined;
};
declare const mapDispatchToProps: {
    update: (type: any, data?: any) => {
        type: any;
        data: any;
    };
};
export declare type IDataProps = Partial<typeof mapDispatchToProps & ReturnType<typeof mapStateToProps>>;
export declare function dataConnector<T>(ComponentCls: React.ComponentClass<IDataProps & T>): React.ComponentClass<T, any>;
export {};
