import { controlConnector } from 'coreditor';
var Type;
(function (Type) {
    Type["json"] = "data-json";
})(Type || (Type = {}));
function mapStateToProps(state) {
    if (state.data && typeof state.data.json !== 'undefined') {
        return { json: state.data.json, type: Type };
    }
    return { json: null };
}
const mapDispatchToProps = {
    update: (type, data) => ({
        type,
        data
    })
};
export function jsonConnector(ComponentCls) {
    return controlConnector(mapStateToProps, mapDispatchToProps)(ComponentCls);
}
//# sourceMappingURL=json.js.map