import * as React from 'react';
declare enum Type {
    property = "property"
}
declare function mapStateToProps(state: IDeepReadonly<IState>): {
    property: IDeepReadonlyObject<{
        color?: string | string[] | undefined;
        title?: {
            show: boolean;
            text: string;
            style: {
                textAlign: "left" | "right" | "center";
                fontSize: string;
                color: string;
            };
        } | undefined;
        text?: {
            fontSize: string;
            fontStyle: "normal" | "italic";
            fontWeight: "normal" | "lighter" | "bold";
            textAlign: "left" | "right" | "center";
            lineHeight: string;
            color: string;
            fontFamily: "none" | "...";
        } | undefined;
        xAxis?: IAxis<"X"> | undefined;
        yAxis?: IAxis<"Y"> | undefined;
        list?: IList | undefined;
        img?: string | undefined;
        video?: string | undefined;
        custom?: {
            [p: string]: any;
        } | undefined;
    }>;
    type: typeof Type;
} | {
    property: null;
    type?: undefined;
};
declare const mapDispatchToProps: {
    update: (type: Type, data: any) => {
        type: Type;
        data: any;
    };
};
export declare type IPropertyProps = Partial<typeof mapDispatchToProps & ReturnType<typeof mapStateToProps>>;
export declare function propertyConnector<T>(ComponentCls: React.ComponentClass<IPropertyProps & T>): React.ComponentClass<T, any>;
export {};
