import * as React from 'react';
declare enum Type {
    style = "style",
    width = "style-width",
    height = "style-height",
    margin = "style-margin",
    padding = "style-padding",
    display = "style-display",
    top = "style-top",
    right = "style-right",
    bottom = "style-bottom",
    left = "style-left",
    position = "style-position",
    float = "style-float",
    zIndex = "style-zIndex",
    backgroundImage = "style-backgroundImage"
}
declare function mapStateToProps(state: IDeepReadonly<IState>): {
    featureStyle: IDeepReadonlyObject<Partial<React.CSSProperties & IBaseStyle>>;
    type: typeof Type;
} | {
    featureStyle: null;
    type?: undefined;
};
declare const mapDispatchToProps: {
    update: (type: Type, data: any) => {
        type: Type;
        data: any;
    };
};
export declare type IStyleProps = Partial<typeof mapDispatchToProps & ReturnType<typeof mapStateToProps>>;
export declare function StyleConnector<T>(ComponentCls: React.ComponentClass<IStyleProps & T>): React.ComponentClass<T, any>;
export {};
