import { controlConnector } from 'coreditor';
var Type;
(function (Type) {
    Type["style"] = "style";
    Type["width"] = "style-width";
    Type["height"] = "style-height";
    Type["margin"] = "style-margin";
    Type["padding"] = "style-padding";
    Type["display"] = "style-display";
    Type["top"] = "style-top";
    Type["right"] = "style-right";
    Type["bottom"] = "style-bottom";
    Type["left"] = "style-left";
    Type["position"] = "style-position";
    Type["float"] = "style-float";
    Type["zIndex"] = "style-zIndex";
    Type["backgroundImage"] = "style-backgroundImage";
})(Type || (Type = {}));
function mapStateToProps(state) {
    if (state.style) {
        return { featureStyle: state.style, type: Type };
    }
    return { featureStyle: null };
}
const mapDispatchToProps = {
    update: (type, data) => ({
        type,
        data
    })
};
export function StyleConnector(ComponentCls) {
    return controlConnector(mapStateToProps, mapDispatchToProps)(ComponentCls);
}
//# sourceMappingURL=style.js.map