import * as React from 'react';
declare enum Type {
    text = "property-text",
    fontSize = "property-text-fontSize",
    fontStyle = "property-text-fontStyle",
    fontWeight = "property-text-fontWeight",
    textAlign = "property-text-textAlign",
    lineHeight = "property-text-lineHeight",
    color = "property-text-color",
    fontFamily = "property-text-fontFamily"
}
declare function mapStateToProps(state: IDeepReadonly<IState>): {
    text: IDeepReadonlyObject<{
        fontSize: string;
        fontStyle: "normal" | "italic";
        fontWeight: "normal" | "lighter" | "bold";
        textAlign: "left" | "right" | "center";
        lineHeight: string;
        color: string;
        fontFamily: "none" | "...";
    }>;
    fonts: {
        name: string;
        withExt: string;
    }[];
    type: typeof Type;
} | {
    text: null;
    fonts: {
        name: string;
        withExt: string;
    }[];
    type?: undefined;
};
declare const mapDispatchToProps: {
    update: (type: Type, data: any) => {
        type: Type;
        data: any;
    };
};
export declare type ITextProps = Partial<typeof mapDispatchToProps & ReturnType<typeof mapStateToProps>>;
export declare function textConnector<T>(ComponentCls: React.ComponentClass<ITextProps & T>): React.ComponentClass<T, any>;
export {};
