import { controlConnector } from 'coreditor';
import { appendFont } from '../lib/appendFont';
import { fonts } from '../lib/fonts';
var Type;
(function (Type) {
    Type["text"] = "property-text";
    Type["fontSize"] = "property-text-fontSize";
    Type["fontStyle"] = "property-text-fontStyle";
    Type["fontWeight"] = "property-text-fontWeight";
    Type["textAlign"] = "property-text-textAlign";
    Type["lineHeight"] = "property-text-lineHeight";
    Type["color"] = "property-text-color";
    Type["fontFamily"] = "property-text-fontFamily";
})(Type || (Type = {}));
function mapStateToProps(state) {
    if (state.property && typeof state.property.text !== 'undefined') {
        return {
            text: state.property.text,
            fonts,
            type: Type
        };
    }
    return { text: null, fonts };
}
const mapDispatchToProps = {
    update: (type, data) => {
        if (type === Type.fontFamily) {
            appendFont(data);
        }
        return {
            type,
            data
        };
    }
};
export function textConnector(ComponentCls) {
    return controlConnector(mapStateToProps, mapDispatchToProps)(ComponentCls);
}
//# sourceMappingURL=text.js.map