import * as React from 'react';
declare enum Type {
    title = "property-title",
    show = "property-title-show",
    text = "property-title-text",
    style = "property-title-style",
    color = "property-title-style-color",
    fontSize = "property-title-style-fontSize",
    textAlign = "property-title-style-textAlign"
}
declare function mapStateToProps(state: IDeepReadonly<IState>): {
    title: IDeepReadonlyObject<{
        show: boolean;
        text: string;
        style: {
            textAlign: "left" | "right" | "center";
            fontSize: string;
            color: string;
        };
    }>;
    type: typeof Type;
} | {
    title: null;
    type?: undefined;
};
declare const mapDispatchToProps: {
    update: (type: Type, data: any) => {
        type: Type;
        data: any;
    };
};
export declare type ITitleProps = Partial<typeof mapDispatchToProps & ReturnType<typeof mapStateToProps>>;
export declare function titleConnector<T>(ComponentCls: React.ComponentClass<ITitleProps & T>): React.ComponentClass<T, any>;
export {};
