declare type IPrimitive = string | number | boolean | undefined | null;
declare type IDeepPartialObject<T> = {
    [P in keyof T]?: IDeepPartial<T[P]>;
};
declare type IDeepPartial<T> = T extends IPrimitive ? Partial<T> : IDeepPartialObject<T>;
export declare function deepAsign<T extends object>(_des: T, _src: IDeepPartial<T>): T;
export declare function parsePaddingShotCutAttr(str: string): any;
interface IVisitor {
    com?: IEnterExit;
    root?: IEnterExit;
    box?: IEnterExit;
}
interface IEnterExit {
    enter?: (node: IRootState, parent: IRootState | null) => void;
    exit?: (node: IRootState, parent: IRootState | null) => void;
}
export declare function traverser(root: IRootState, visitor: IVisitor): void;
export {};
