export function deepAsign(_des, _src) {
    const clonedDes = JSON.parse(JSON.stringify(_des));
    function assgin(des, src) {
        for (const key in src) {
            if (Object.prototype.toString.call(src[key]) === '[object Object]') {
                assgin(des[key], src[key]);
            }
            else {
                des[key] = src[key];
            }
        }
    }
    assgin(clonedDes, _src);
    return clonedDes;
}
export function parsePaddingShotCutAttr(str) {
    function template(arg1, arg2, arg3, arg4) {
        return { top: arg1, right: arg2, bottom: arg3, left: arg4 };
    }
    return parseShotCutAttr(str, template);
}
function parseShotCutAttr(str, template) {
    const arr = str.split(' ');
    if (arr.length === 1) {
        return template(arr[0], arr[0], arr[0], arr[0]);
    }
    if (arr.length === 2) {
        return template(arr[0], arr[1], arr[0], arr[1]);
    }
    if (arr.length === 3) {
        return template(arr[0], arr[1], arr[2], arr[1]);
    }
    return template(...arr);
}
export function traverser(root, visitor) {
    function traverse(node, parent) {
        let methods;
        if (node.option.path) {
            methods = visitor.com;
        }
        if (parent === null) {
            methods = visitor.root;
        }
        if (node.option.box) {
            methods = visitor.box;
        }
        if (methods && methods.enter) {
            methods.enter(node, parent);
        }
        for (let i = 0; i < node.children.length; i++) {
            traverse(node.children[i], node);
        }
        if (methods && methods.exit) {
            methods.exit(node, parent);
        }
    }
    traverse(root, null);
}
//# sourceMappingURL=tool.js.map