var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
import update from 'immutability-helper';
const defaultState = {
    name: '组件',
    style: {
        zIndex: 0,
        margin: '0px',
        padding: '0px',
        width: '0px',
        height: '0px',
        maxHeight: '9999999px',
        minHeight: '0',
        maxWidth: '9999999px',
        minWidth: '0',
        float: 'none',
        display: 'block',
        position: 'relative',
        overflow: 'hidden',
        top: '0',
        left: '0',
        right: '0',
        bottom: '0'
    }
};
export function advanceReducer(reducer, overStyle = {}) {
    if (Object.prototype.toString.apply(overStyle) !== '[object Object]') {
        throw new Error('overStyle');
    }
    const originState = reducer({ type: '__init', data: null });
    const { style } = originState, other = __rest(originState, ["style"]);
    const initialState = Object.assign({ style: Object.assign({}, defaultState.style, originState.style, overStyle) }, other);
    function reducerAdvance(action, state = initialState) {
        const types = action.type.split('-');
        switch (types[0]) {
            case 'style':
            case 'data':
            case 'property': {
                const aim = getAim(types, action.data);
                return update(state, aim);
            }
        }
        return reducer(action, state);
    }
    return reducerAdvance;
}
function getAim(types, data) {
    if (types.length <= 0) {
        throw (new Error('长度必大于0'));
    }
    let cur;
    const aim = {
        [types[0]]: {}
    };
    cur = aim[types[0]];
    for (let i = 1; i < types.length; i++) {
        cur[types[i]] = {};
        cur = cur[types[i]];
    }
    cur.$set = data;
    return aim;
}
//# sourceMappingURL=advanceReducer.js.map